$header-color: blue;
$aside-nav-color: yellow;
$aside-main-color: orange;
$footer-color: green;
$text-color: rgb(0, 0, 0);
$font-weights: (
  "regular": 350,
  "medium": 500,
  "bold": 700,
);
$font-size: (
  "normal": 18px,
  "medium": 24px,
  "large": 32px,
);

body {
  display: grid;
  grid-template-areas:
    "header header header"
    "nav article article"
    "footer footer footer";
  grid-template-rows: 60px 1fr 60px;
  grid-template-columns: 180px 1fr;
  height: 100vh;
  margin: 0;
  color: $text-color;
  font-size: map-get($font-size, normal);
  font-weight: map-get($font-weights, medium);
}

header,
footer,
article,
nav,
div {
  padding: 20px;
}

#pageHeader {
  grid-area: header;
  background-color: $header-color;
}
#pageFooter {
  grid-area: footer;
  background-color: $footer-color;
}
#mainArticle {
  grid-area: article;
  background-color: $aside-main-color;
}
#mainNav {
  grid-area: nav;
  background-color: $aside-nav-color;
}

header {
  #header-text {
    display: inline-block;
    padding: 0px;
  }

  #btnControl {
    display: none;
  }

  .btn {
    float: right;
    background: transparent;
    border-radius: 5px;
    border: 1px solid black;
    text-align: center;
    font-size: map-get($font-size, medium);
    padding: 0px 5px 0px 5px;
    margin-top: -5px;

    &:hover {
      background-image: linear-gradient(to bottom, #c3e3fa, #a5defb);
    }

    &:active {
      margin-left: 1px 1px 0;
      box-shadow: -1px -1px 1px #000;
      outline: 1px solid black;
      background-image: linear-gradient(to top, #f4f5f5, #dfdddd);
    }
  }
}

// ----- NAV Section / inside flex container -----
Nav {
  background-color: $aside-nav-color;
  padding: 10px;
  font-size: map-get($font-size, large);

  a .hidden {
    visibility: hidden;
  }

  a:visited .hidden {
    visibility: visible;
  }

  /* Nav - Checkbox Hack */
  input[type="checkbox"] {
    position: absolute;
    top: -9999px;
    left: -9999px;
  }
  label {
    -webkit-appearance: push-button;
    -moz-appearance: button;
    display: inline-block;
    border: 1px solid black;
    margin: 5px 0 10px -35px;
    cursor: pointer;
  }

  /* Nav - Default State */
  .submenu {
    box-sizing: border-box;
    display: block;
    border: 1px solid black;
    font-size: map-get($font-size, medium);
    color: $text-color;
    margin-bottom: 10px;
    padding: 10px 10px 10px 0px;
    margin-left: -20px;
  }

  /* Nav - Toggled State */
  input[type="checkbox"]:checked ~ .submenu {
    display: none;
  }
}

// ----- media query / mobile devices ------
@media only screen and (max-width: 768px) {
  body {
    grid-template-areas:
      "header header header"
      "article article article"
      "footer footer footer";
  }

  #mainNav {
    display: none;
  }
}

@media only screen and (min-width: 768px) {
  Header .btn {
    display: none;
  }
}
